Subject: RE: [mobile-ip] Final(?) Cut on LMM Requirements

From: "Muhammad Jaseemuddin" <[email-masked]>
Date: Mon, 30 Apr 2001 12:04:47 -0400

Hesham:

> -----Original Message-----
> From:	Hesham Soliman (ERA) [SMTP:[email-masked]]
> Sent:	Thursday, April 26, 2001 4:08 PM
> To:	[email-masked]'
> Subject:	RE: [mobile-ip] Final(?) Cut on LMM Requirements
> 
> 	Muhammad,
> 
> 
> > [MJ]  I agree that it shall be compatible with fast handoff, because as
> I posted earlier to me fast handoff provides standard handover signaling
> (and solution of course). But we also had a discussion that fast handoff
> should also comply with relevant LMM requirements, because its a three
> tier solution space we are discussing - Mobile IP then LMM then Fast
> Handoff. In this regard I had suggested that fast handoff should not
> always assume change of IP address from LMM perspective. Although it might
> happen that the LMM solution evolved always does that, but fast handoff
> signaling should provide at least the provision otherwise. And if the WG
> feel comfortable with that then it should be captured in LMM requriement.
> I haven't seen any objection to my previous posting. Or do you think that
> this issue I should discuss with the fast handoff design team? Any idea?
> > 
> 	=> I don't really undersand your suggestion to not change the CoA. 
> 	The Fast Handoff draft is built around the fact that the MN will 
> 	change its CoA. There is one case where that fails (DAD for the 
> 	new CoA) and the MN keeps the same address. But this is 
> 	an error case and 99.99 % of the time it won't happen. 
> 
	[MJ]  I know that fast handoff solution is built around that
assumption, and I am questioning that very basic assumption. I am saying
that it is LMM solution's forte to decide whether handing over to new AR
should involve new address assignment, especially within an AD. Hence, fast
handoff solution should be flexible in handling this situation. The question
is why fast handoff always assume change of address? It can easily provide
this flexibility that if an address change is required then it would happen.
Let us look the jobs being done by fast handoff:

	1. It signals new AR about imminent handover
	2. It arranges new address assignment at the new AR (either
autoconfiguration or stateful)
	3. It established temporary tunnel to forward in-flight packets

	Now, instead of always assuming new address assignment it can
provide in its signaling following options:

	1. No new address assignment
	2. Autoconfiguration, hence asking new AR to run DAD on behalf of MN
	3. Stateful address assignment

	This will make fast handoff solution quite flexible and capable of
being defacto standard handover signaling for any LMM. Although, I am making
this statement but with one caveat that I don't know how fast handoff and CT
will work together. I think this discussion should be moved to fast handoff
design team mailing list, but my understanding is that it is closed. BTW,
Hesham how did you get this 99.99% reliability number, through some
simulation?

	Cheers,
	- Muhammad Jaseemuddin 

> 	Hesham

---

From: "Charles E. Perkins" <[email-masked]>
Date: Mon, 30 Apr 2001 09:30:06 -0700

Hello Muhammad,

You suggest that the fast handover draft for Mobile IPv6
should either de-emphasize, or eliminate entirely, the
mechanism for assignment of a new care-of address at the
new access router's network.  I have two observations about
this.

1) Mobile IP deals with binding a care-of address to
   a home address, and tunnel management.  A protocol
   for which the node's care-of address is not relevant
   does not necessarily have to be developed within
   the mobile-ip working group.

2) The care-of address is used for routing.  If the routing
   changes, but the care-of address does not change, then
   more host routes are needed to handle the exceptional
   nature of routing to a care-of address on the "wrong"
   access network.

Of course, these arguments are not absolute in nature.  They
only serve to provide design guidelines.  You can make packets
arrive at a mobile node in quite a few different ways.  It's
an engineering decision about whether to disseminate more, or
fewer, host routes to accomplish the job.

Regards,
Charlie P.

> Muhammad Jaseemuddin wrote:
> 
> Hesham:
> 
>      always assume change of IP address from LMM perspective. Although it
>      might happen that the LMM solution evolved always does that, but fast
>      handoff signaling should provide at least the provision otherwise. And if
>      the WG feel comfortable with that then it should be captured in LMM
>      requriement. I haven't seen any objection to my previous posting. Or do
>      you think that this issue I should discuss with the fast handoff design
>      team? Any idea?
> 
>      >
>      [MJ]  I know that fast handoff solution is built around that assumption,
>      and I am questioning that very basic assumption. I am saying that it is
>      LMM solution's forte to decide whether handing over to new AR should
>      involve new address assignment, especially within an AD. Hence, fast
>      handoff solution should be flexible in handling this situation. The
>      question is why fast handoff always assume change of address? It can
>      easily provide this flexibility that if an address change is required
>      then it would happen. Let us look the jobs being done by fast handoff:
> 
>      Now, instead of always assuming new address assignment it can provide in
>      its signaling following options:
> 
>      This will make fast handoff solution quite flexible and capable of being
>      defacto standard handover signaling for any LMM. Although, I am making
>      this statement but with one caveat that I don't know how fast handoff and
>      CT will work together. I think this discussion should be moved to fast
>      handoff design team mailing list, but my understanding is that it is
>      closed. BTW, Hesham how did you get this 99.99% reliability number,
>      through some simulation?
> 
>      Cheers,
>      - Muhammad Jaseemuddin
> 
>              Hesham